{
  TTwitter Defines
}

{.$DEFINE TWITTER_NOTHREADS}         // Really you'd only want to enable this if you don't have Thread
                                     // Support (though I can't imagine Delphi without Threads!)

{.$DEFINE TWITTER_HIDDEN_EXCEPTIONS} // I wouldn't recommend this, but if you don't know how to properly
                                     // catch certain exception types, you may find it useful.
                                     // Better yet, you should LEARN how to properly catch exceptions!
                                     // Full examples of how to do this can be seen in the included Demos!

{
  Delphi Version Defines
}

{$IFDEF FPC} // FreePascal Related Settings

  {$MODE DELPHI}

{$ELSE} // Delphi Related Settings

  {$IFDEF VER220}
    {$DEFINE DELPHI15} // Embarcadero RAD Studio XE (2011)
    {$DEFINE DELPHI14} // Embarcadero RAD Studio 2010
    {$DEFINE DELPHI12} // CodeGear RAD Studio 2009
    {$DEFINE DELPHI11} // CodeGear RAD Studio 2007
    {$DEFINE DELPHI10}
    {$DEFINE DELPHI9}  // Borland Development Studio 2006
    {$DEFINE DELPHI7}
  {$ENDIF}

  {$IFDEF VER210}
    {$DEFINE DELPHI14} // Embarcadero RAD Studio 2010
    {$DEFINE DELPHI12} // CodeGear RAD Studio 2009
    {$DEFINE DELPHI11} // CodeGear RAD Studio 2007
    {$DEFINE DELPHI10}
    {$DEFINE DELPHI9}  // Borland Development Studio 2006
    {$DEFINE DELPHI7}
  {$ENDIF}

  {$IFDEF VER200}
    {$DEFINE DELPHI12} // CodeGear RAD Studio 2009
    {$DEFINE DELPHI11} // CodeGear RAD Studio 2007
    {$DEFINE DELPHI10}
    {$DEFINE DELPHI9}  // Borland Development Studio 2006
    {$DEFINE DELPHI7}  // Borland Delphi 7
  {$ENDIF}

  {$IFDEF VER190} // Borland Development Studio 2007 (HighLander) .NET Personality
    {$DEFINE DELPHI11} // Borland Development Studio 2007 (HighLander)
    {$DEFINE DELPHI10} // Borland Development Studio 2006 and 2007 (HighLander)
    {$DEFINE DELPHI9} // Borland Development Studio 2005
    {$DEFINE DELPHI7} // Borland Delphi 7
  {$ENDIF}

  {$IFDEF VER185}
    {$DEFINE DELPHI11} // Borland Development Studio 2007 (HighLander)
    {$DEFINE DELPHI10} // Borland Development Studio 2006 and 2007 (HighLander)
    {$DEFINE DELPHI9} // Borland Development Studio 2005
    {$DEFINE DELPHI7} // Borland Delphi 7
  {$ENDIF}

  {$IFDEF VER180}
    {$DEFINE DELPHI9}
    {$DEFINE DELPHI7}  // Borland Delphi 7
  {$ENDIF}

  {$IFDEF DELPHI12}
    {$DEFINE SUPPORTS_UNICODE}
  {$ENDIF}

  {$IFDEF DELPHI9}
    {$IFNDEF DEBUG}
      {$DEFINE SUPPORTS_INLINE}
    {$ENDIF}
  {$ENDIF}

{$IFDEF SUPPORTS_UNICODE}
  // These are interrogated by Twitter_uLkJSON.pas
  {$DEFINE USE_D2009} // Allows proper handling of Unicode Strings in 2009+
  {$DEFINE TTWITTER_CHR} // fixes UTF chars in D2009/2010
{$ENDIF}

{$ENDIF}

{$DEFINE INDY10} // If you're using Indy 9, remove this define!
{.$DEFINE INDY9} // For people stuck in the Pre-2007 Delphi era!

{$IFDEF INDY10}
  {$IFDEF DELPHI12}
    {$DEFINE INDY_USE_ENCODE_BYTES_FUNC} // DELPHI 2007 COMES WITH AN OLDER VERSION OF INDY 10 WHICH DOESN'T HAVE CERTAIN FUNCTIONALITY!
  {$ENDIF}
{$ENDIF}
